Autore Topic: Aggiornare PHP in locale  (Letto 2221 volte)

Offline unpodicose

  • Esploratore
  • **
  • Post: 59
  • Sesso: Maschio
    • Mostra profilo
Aggiornare PHP in locale
« il: 02 Dic 2013, 17:15:28 »
Salve a tutti, ho un sito nella intranet della mia azienda, realizzato in Joomla 1.7.3. Sul server virtuale, ho prima installato Appserv e poi Joomla. Da qualche anno funziona tutto alla perfezione. Premetto che il server non esce su Internet. Oggi mi hanno segnalato dalla "sicurezza" che dovrei aggiornare PHP e passare da quella installata (5.2.6) alla 5.3.27 o superiore. E' un'operazione semplice?
Grazie per l'aiuto

Offline giusebos

  • Fuori controllo
  • *
  • Post: 20994
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Aggiornare PHP in locale
« Risposta #1 il: 02 Dic 2013, 17:28:03 »
a questi signori della sicurezza fagli una domanda da parte mia:

ha detto giusebos, in che cosa pi sicuro il php 5.3 rispetto al 5.2 in una macchina virtuale che sta in una intranet che ha come cms una versione bacata di joomla?

grazie! ;)
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline $Red

  • Team Joomla.it
  • Instancabile
  • *******
  • Post: 5268
  • "Bastard Inside"
    • Mostra profilo
Re:Aggiornare PHP in locale
« Risposta #2 il: 02 Dic 2013, 17:44:24 »
a questi signori della sicurezza fagli una domanda da parte mia:

ha detto giusebos, in che cosa pi sicuro il php 5.3 rispetto al 5.2 in una macchina virtuale che sta in una intranet che ha come cms una versione bacata di joomla?

grazie! ;)

 ;D

unpodicose, a parte quello che dice giusebos, per aggiornare il php penso che devi aggiornare la versione del software lamp che utilizzi appserv, che sinceramente non conosco, se questo dovresti avere la versione 2.5.10 viste le caratteristiche, e la versione successiva 2.6.0 secondo me, ma possibile che sbaglio non sono esperto, ha servizi troppo nuovi: PHP 6.0.0-dev MySQL 6.0.4-alpha e molto probabilmente avresti problemi con joomla, la soluzione potrebbe essere installare un'altro tipo di software lamp ad esempio xampp scegliendo una versione con i servizi idonei a joomla, meglio ancora secondo me visto che un virtual server installare una distribuzione linux. Sicuramente dovresti aggiornare anche joomla alla versione 2.5.16 e anche se in locale avrai molti benefici

 

Host

Torna su